/* Ethernet driver definitions for 'TCP/IP Lean' */

#ifndef BYTE
#define BYTE unsigned char
#endif
#ifndef WORD
#define WORD unsigned short
#endif
#ifndef LWORD
#define LWORD unsigned long
#endif

/* Ensure network structures aren't padded (DJGPP and VC) */
#pragma pack(1)

#define MACLEN      6           /* Ethernet (MAC) address length */
#define BCASTADDR 0xff,0xff,0xff,0xff,0xff,0xff /* Broadcast address */

/* Ethernet Frame sizes */
#define MAXFRAME    1514        /* Maximum frame size (inc hdr)*/
#define MINFRAME    64          /* Minimum frame size (inc hdr) */
#define ETHERMTU    80   //(MAXFRAME-sizeof(ETHERHDR))

/* Ethernet (DIX) header */
typedef struct {
    BYTE dest[MACLEN];          /* Destination MAC address */
    BYTE srce[MACLEN];          /* Source MAC address */
    WORD ptype;                 /* Protocol type or length */
} ETHERHDR;

/* Ethernet frame; data size is frame size minus header & CRC */
typedef struct {
    ETHERHDR h;                 /* Header */
    BYTE data[ETHERMTU];        /* Data */
} ETHERFRAME;

/* NE2000-compatible driver prototypes */
int init_etherne();
void poll_etherne();
WORD get_etherne(void *pkt);
WORD put_etherne(void *pkt, WORD len);
/* EOF */
